"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = postLogin;
/**
 * Client Setup After Login
 * ===============================================================================
 * @description This function sets local storage variables like `csrf` after a user
 * is logged in. Use this in conjunction with the `datasquirel.user.loginUser`
 * function
 */
function postLogin(res) {
    try {
        if (!res.payload)
            return false;
        if (!res.payload.csrf_k)
            return false;
        localStorage.setItem("csrf", res.payload.csrf_k);
        localStorage.setItem("user", JSON.stringify(res.payload));
        return true;
    }
    catch (error) {
        return false;
    }
}
