"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabUserSchemaData;
const serverError_1 = __importDefault(require("./serverError"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
/**
 * # Grab User Schema Data
 */
function grabUserSchemaData({ userId, }) {
    var _a;
    try {
        const userSchemaFilePath = path_1.default.resolve(process.cwd(), `${process.env.DSQL_USER_DB_SCHEMA_PATH}/user-${userId}/main.json`);
        const userSchemaData = JSON.parse(fs_1.default.readFileSync(userSchemaFilePath, "utf-8"));
        return userSchemaData;
    }
    catch (error) {
        (0, serverError_1.default)({
            component: "grabUserSchemaData",
            message: error.message,
        });
        (_a = global.ERROR_CALLBACK) === null || _a === void 0 ? void 0 : _a.call(global, `Error Grabbing User Schema Data`, error);
        return null;
    }
}
