"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabCookieExpiryDate;
const numberfy_1 = __importDefault(require("./numberfy"));
function grabCookieExpiryDate() {
    const ONE_DAY_IN_SECONDS = 60 * 60 * 24;
    const ONE_WEEK_IN_SECONDS = ONE_DAY_IN_SECONDS * 7;
    const COOKIE_EXPIRY_TIME_IN_SECONDS = process.env.DSQL_SESSION_EXPIRY_TIME
        ? (0, numberfy_1.default)(process.env.DSQL_SESSION_EXPIRY_TIME)
        : ONE_WEEK_IN_SECONDS;
    const COOKIE_EXPIRY_IN_MILLISECONDS = COOKIE_EXPIRY_TIME_IN_SECONDS * 1000;
    const COOKIE_EXPIRY_DATE = new Date(Date.now() + COOKIE_EXPIRY_IN_MILLISECONDS).toUTCString();
    return COOKIE_EXPIRY_DATE;
}
